Package fr.gouv.vitam.common.server.application.configuration

# Class DefaultVitamIHMApplicationConfiguration

java.lang.Object
fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration
fr.gouv.vitam.common.server.application.configuration.DefaultVitamIHMApplicationConfiguration

All Implemented Interfaces:
  `VitamApplicationConfiguration`, `VitamApplicationConfigurationInterface`

Direct Known Subclasses:
  `WebApplicationConfig`

public abstract class DefaultVitamIHMApplicationConfiguration extends DefaultVitamApplicationConfiguration
Default minimal for Vitam IHM Application Configuration

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `IS_A_MANDATORY_PARAMETER, jettyConfig`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultVitamIHMApplicationConfiguration()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getBaseUrl()`
  `int`
  `getPort()`
  `String`
  `getServerHost()`
  `VitamApplicationConfiguration`
  `setBaseUrl(String baseUrl)`
  `DefaultVitamIHMApplicationConfiguration`
  `setPort(int port)`
  `DefaultVitamIHMApplicationConfiguration`
  `setServerHost(String serverHost)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.configuration.DefaultVitamApplicationConfiguration

  `getAdminBasicAuth, getJettyConfig, isAuthentication, isAuthorizeTrackTotalHits, isEnableSession, isEnableXsrFilter, isTenantFilter, setAdminBasicAuth, setAuthentication, setAuthorizeTrackTotalHits, setEnableSession, setEnableXsrFilter, setJettyConfig, setTenantFilter`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.server.application.configuration.VitamApplicationConfigurationInterface

  `getBaseUri, setBaseUri`

- ## Constructor Details

  - ### DefaultVitamIHMApplicationConfiguration

    public DefaultVitamIHMApplicationConfiguration()

- ## Method Details

  - ### getPort

    public int getPort()
    Returns:
      port

  - ### setPort

    public DefaultVitamIHMApplicationConfiguration setPort(int port)
    Parameters:
      `port` - port of the web application
    Returns:
      WebApplicationConfig

  - ### getServerHost

    public String getServerHost()
    Returns:
      serverHost

  - ### setServerHost

    public DefaultVitamIHMApplicationConfiguration setServerHost(String serverHost)
    Parameters:
      `serverHost` - server host of the web application
    Returns:
      WebApplicationConfig

  - ### getBaseUrl

    public String getBaseUrl()

  - ### setBaseUrl

    public VitamApplicationConfiguration setBaseUrl(String baseUrl)